package com.ruoyi.warehouseBusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.shipping.domain.TVoyage;
import com.ruoyi.shipping.domain.TWarehousebillsCntr;
import com.ruoyi.shipping.domain.TWarehousebillsCntritems;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 详情主表对象 t_warehouse_details
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TWarehouseBills extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 业务编号,格式RK+YYYY+YY+NNN,编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。
     * RK CK DB HZ
     */
    @Excel(name = "业务编号")
    private String fBillno;

    /**
     * 报关号
     */
    @Excel(name = "报关号")
    private String fCustomsdeclartion;

    /**
     * 原始业务编号,入库时和f_billno 相同，出库 取入库的f_originalbillno
     */
    @Excel(name = "原始业务编号,入库时和f_billno 相同，出库 取入库的f_originalbillno")
    private String fOriginalbillno;

    /**
     * 仓储计费日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储计费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /**
     * 制单部门
     */
    @Excel(name = "制单部门")
    private Long fDeptid;

    /**
     * 业务所属部门
     */
    @Excel(name = "业务所属部门")
    private Long fBsdeptid;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String fContacts;

    /**
     * 电话
     */
    @Excel(name = "电话")
    private String fTel;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /**
     * 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效
     */
    @Excel(name = "货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效")
    private Long fTocorpid;

    /**
     * 结算方式，默认提取corps中stltypeid	也可以从表t_stltypes中下拉选择，存储id，显示name
     */
    @Excel(name = "结算方式，默认提取corps中stltypeid	也可以从表t_stltypes中下拉选择，存储id，显示name")
    private Long fStltypeid;

    /**
     * 客户存货编号,格式编号客户编号+YYYY +NNNN，
     * 编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用，每年从001开始
     */
    @Excel(name = "客户存货编号")
    private String fBscorpno;

    /**
     * 仓库
     */
    @Excel(name = "仓库")
    private Long fWarehouseid;

    /**
     * 仓管人
     */
    @Excel(name = "仓管人")
    private String fStorekeeper;

    /**
     * 入（出）库日期
     */
    @Excel(name = "入", readConverterExp = "出=")
    private Date fBsdate;

    /**
     * 计划件数,由明细表自动合计生成
     */
    @Excel(name = "计划件数,由明细表自动合计生成")
    private Long fPlanqty;

    /**
     * 计划毛重,由明细表自动合计生成
     */
    @Excel(name = "计划毛重,由明细表自动合计生成")
    private BigDecimal fPlangrossweight;

    /**
     * 计划净重,由明细表自动合计生成
     */
    @Excel(name = "计划净重,由明细表自动合计生成")
    private BigDecimal fPlannetweight;

    /**
     * 计划尺码,由明细表自动合计生成
     */
    @Excel(name = "计划尺码,由明细表自动合计生成")
    private BigDecimal fPlanvolumn;

    /**
     * 件数,由明细表自动合计生成
     */
    @Excel(name = "件数,由明细表自动合计生成")
    private Long fQty;

    /**
     * 毛重，由明细表自动合计生成
     */
    @Excel(name = "毛重，由明细表自动合计生成")
    private BigDecimal fGrossweight;

    /**
     * 净重，由明细表自动合计生成
     */
    @Excel(name = "净重，由明细表自动合计生成")
    private BigDecimal fNetweight;

    /**
     * 尺码，由明细表自动合计生成
     */
    @Excel(name = "尺码，由明细表自动合计生成")
    private BigDecimal fVolumn;

    /**
     * 贸易方式(数据字典),对应t_trademodels
     */
    @Excel(name = "贸易方式(数据字典),对应t_trademodels ")
    private Long fTrademodeid;

    /**
     * 计费方式(数据字典)
     */
    @Excel(name = "计费方式(数据字典)")
    private Long fBillingway;

    /**
     * 经营单位(客户列表)
     */
    @Excel(name = "经营单位(客户列表)")
    private Long fSbu;

    /**
     * 计费单位(数据字典),下拉选择毛重或净重
     */
    @Excel(name = "计费单位(数据字典),下拉选择毛重或净重")
    private String fFeetunit;

    /**
     * 明细品名合计
     */
    @Excel(name = "明细品名合计")
    private String fProductName;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 船名航次,CMA/A0001
     */
    @Excel(name = "船名航次,CMA/A0001")
    private String fVslvoy;

    /**
     * 唛头
     */
    @Excel(name = "唛头")
    private String fMarks;

    /**
     * 到港日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到港日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEta;

    /**
     * 报关单号
     */
    @Excel(name = "报关单号")
    private String fCustomno;

    /**
     * 是否过磅(数据字典)默认 F ,过磅T 否者F 下拉选择
     */
    @Excel(name = "是否过磅(数据字典)默认 F ,过磅T 否者F 下拉选择")
    private String fIfweigh;

    /**
     * 是否质押(数据字典),默认 F ,质押T 否者F 下拉选择
     */
    @Excel(name = "是否质押(数据字典),默认 F ,质押T 否者F 下拉选择")
    private String fIfpledge;

    /**
     * 是否破损(数据字典),默认F否则T
     */
    @Excel(name = "是否破损(数据字典),默认F否则T")
    private String fIfdamage;

    /**
     * 银行名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "银行名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fBankcorpid;

    /**
     * 单据类型(数据字典)SJRK（入库） SJCK（实际出库） CKDB（调拨） HQZY（货权转移）
     */
    @Excel(name = "单据类型(数据字典)SJRK", readConverterExp = "入=库")
    private String fBilltype;

    /**
     * 状态(数据字典),N 入（出）库中，T入（出）库完成，状态为完成不能删除，状态变化，用邮件、微信通知客户。
     */
    @Excel(name = "状态(数据字典),N 入", readConverterExp = "出=")
    private Long fBillstatus;

    /**
     * 库存明细 1 未入账  2 未完成所有入账  6  已入账
     */
    @Excel(name = "库存明细状态")
    private Long fItemsStatus;

    /**
     * 审核日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fReviewDate;

    /**
     * 仓储费计费截至日期
     */
    @Excel(name = "仓储费计费截至日期")
    private Date fBillingDeadline;

    /**
     * 车号
     */
    @Excel(name = "车号")
    private String fTruckno;

    /**
     * 司机名
     */
    @Excel(name = "司机名")
    private String fDriverName;

    /**
     * 司机电话
     */
    @Excel(name = "司机电话")
    private String fDriverTel;

    /**
     * 司机身份证
     */
    @Excel(name = "司机身份证")
    private String fDriverIdCar;

    /**
     * 业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别)
     */
    @Excel(name = "业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别)")
    private String fBusinessType;

    /**
     * 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效
     */
    @Excel(name = "车队")
    private Long fFleet;

    /**
     * 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效
     */
    @Excel(name = "劳务")
    private Long fLabour;

    /**
     * 调拨模块使用(出库仓库)
     */
    @Excel(name = "调拨仓库使用的")
    private Long fInwarehouseid;

    /**
     * 业务时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "业务时间", width = 30, dateFormat = "yyyy-MM-dd  HH:mm:ss")
    private Date fBstime;

    /**
     * 车辆类型
     */
    @Excel(name = "车辆类型")
    private Long fCartype;

    /**
     * 1: 调拨，2：货物通关
     */
    private String type;
    /**
     * 起运港
     */
    @Excel(name = "起运港")
    private Long fLoadportid;

    /**
     * 目的港
     */
    @Excel(name = "目的港")
    private Long fDestportid;

    /**
     * 服务方式
     */
    @Excel(name = "服务方式")
    private String fServiceitems;

    /**
     * 开票人
     */
    @Excel(name = "开票人")
    private String fInvoceobj;

    /**
     * 箱内签收单
     */
    @Excel(name = "箱内签收单")
    private Integer fSign;

    /**
     * 订舱人扣货
     */
    @Excel(name = "订舱人扣货")
    private Integer fDetentioncargo;

    /**
     * 订舱备注
     */
    @Excel(name = "订舱备注")
    private String fBooksmarks;

    /**
     * 发货人全称
     */
    @Excel(name = "发货人全称")
    private String fShippername;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String fShipperattn;

    /**
     * 发货人电话
     */
    @Excel(name = "发货人电话")
    private String fShippertel;

    /**
     * 收货人全称
     */
    @Excel(name = "收货人全称")
    private String fConsigneername;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String fConsigneeattn;

    /**
     * 收货人电话
     */
    @Excel(name = "收货人电话")
    private String fConsigneetel;

    /**
     * 是否办理保险
     */
    @Excel(name = "是否办理保险")
    private String fInsurance;

    /**
     * 保险金额
     */
    @Excel(name = "保险金额")
    private Long fInsuranceamt;

    /**
     * 截港日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截港日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fClosedate;

    /**
     * 截单日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fDocmentdate;

    /**
     * t_vessel id
     */
    @Excel(name = "t_vessel id")
    private Long fVslid;

    /**
     * t_voyage id
     */
    @Excel(name = "t_voyage id")
    private Long fVoyid;

    /**
     * 业务类型
     */
    @Excel(name = "业务类型")
    private Integer fTypeid;
    @Excel(name = "付款方式")
    private Long fPaymode;

    /**
     * 航线
     */
    @Excel(name = "航线")
    private Long fLaneid;

    /**
     * 箱量(合计拼接得来)
     */
    @Excel(name = "箱量")
    private String fCntval;

    /**
     * 箱使日期
     */
    @Excel(name = "箱使日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date freeContainerDate;

    /** 业务归属(取自数据字典) */
    @Excel(name = "业务归属(取自数据字典)")
    private Long fBusinessAttribution;

    /** 监管单位(取自客户资料) */
    @Excel(name = "监管单位(取自客户资料)")
    private Long fSupervisionUnit;

    /** 申报要素(取自数据字典) */
    @Excel(name = "申报要素(取自数据字典)")
    private String fDeclarationElements;

    /** 料件号 */
    @Excel(name = "料件号")
    private String fPartNumber;

    /** 是否法检(取自数据字典) */
    @Excel(name = "是否法检(取自数据字典)")
    private Long fIfinspection;

    /** 货值 */
    @Excel(name = "货值")
    private BigDecimal fValue;

    /** 过磅时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过磅时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fWeighingDate;

    /** 是否取样 */
    @Excel(name = "是否取样")
    private Long fIfsampling;

    /** 送样时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送样时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendSampleDate;

    /** 是否复磅(取数据字典) */
    @Excel(name = "是否复磅(取数据字典)")
    private Long fIfweightRecovery;

    /** 复磅时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "复磅时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date weightRecoveryDate;


    /** 新加审批(只审批主表标星字段)2暂存3审批驳回、4提交、5审批中、6审批通过*/
    @Excel(name = "新加审批(只审批主表标星字段)2暂存3审批驳回、4提交、5审批中、6审批通过")
    private Long warehouseStatus;

    /** 审批提交次数 */
    @Excel(name = "审批提交次数")
    private Long fTimes;
    /** 订单修改审批状态 */
    @Excel(name = "订单修改审批状态")
    private Long fUpdeteStatus;

    /** 订单修改提交审批状态 */
    @Excel(name = "订单修改提交审批状态")
    private Long fSubmitUpdate;

    /** 订单删除审批状态 */
    @Excel(name = "订单删除审批状态")
    private Long fDeleteStatus;
    /** 收费提示字段 */
    @Excel(name = "收费提示字段")
    private String fRemarksFees;
    /** 是否配船(0 是 1 否) */
    @Excel(name = "是否配船(0 是 1 否)")
    private Long fCargoPlanning;
    /** 到港状态 0 未离港 1离港 2 到港 */
    @Excel(name = "到港状态 0 未离港 1离港 2 到港")
    private Integer fArrivalStatus;

    /** 仓储费计费类型 */
    @Excel(name = "仓储费计费类型")
    private String fChargetype;
    /** 过磅重量 */
    @Excel(name = "过磅重量")
    private BigDecimal fWeighWeight;
    /** 预计到厂日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计到厂日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fPredictBranch;

    /** 等级 */
    @Excel(name = "等级")
    private String fGrade;

    /** 送货详情 */
    @Excel(name = "送货详情")
    private String fDeliveryDetails;

    /** 业务员id */
    @Excel(name = "业务员id")
    private Long fSalesmanId;

    /** 入库明细审批状态 */
    @Excel(name = "入库明细审批状态")
    private Long fItemstatus;

    /**
     * 校验时间戳
     */
    private String fDateChanged;

    //起运港中文名
    private String loadportidName;
    //目的港中文名
    private String destportidName;
    //服务方式中文名
    private String serviceitemsName;
    //开票人中文名
    private String invoceobjName;
    //签收单中文名
    private String signName;
    //订舱人扣货中文名
    private String detentioncargoName;
    //是否办理保险中文名
    private String insuranceName;
    //船名中文名
    private String vslidName;
    //航次中文名
    private String voyidName;
    //付款方式中文名
    private String paymodeName;
    //航线中文名
    private String laneidName;

    public Integer getfArrivalStatus() {
        return fArrivalStatus;
    }

    public void setfArrivalStatus(Integer fArrivalStatus) {
        this.fArrivalStatus = fArrivalStatus;
    }

    public Long getfUpdeteStatus() {
        return fUpdeteStatus;
    }

    public void setfUpdeteStatus(Long fUpdeteStatus) {
        this.fUpdeteStatus = fUpdeteStatus;
    }

    public Long getfSubmitUpdate() {
        return fSubmitUpdate;
    }

    public void setfSubmitUpdate(Long fSubmitUpdate) {
        this.fSubmitUpdate = fSubmitUpdate;
    }

    public Long getfDeleteStatus() {
        return fDeleteStatus;
    }

    public void setfDeleteStatus(Long fDeleteStatus) {
        this.fDeleteStatus = fDeleteStatus;
    }

    //货物信息
    private List<TWarehousebillsCntr> tWarehousebillsCntrList;
    //箱信息
    private List<TWarehousebillsCntritems> tWarehousebillsCntritemsList;
    //航次信息
    private TVoyage tVoyageL;
    //箱型
    private Long fCntrid;
    //箱量
    private Long fCntrcount;
    //开始时间
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;
    //结束时间
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    //箱号
    private String boxNumber;
    //客户名称
    private String corpName;
    //查询时间区间
    private List<String> cLoadDate;
    //查询箱使日期时间区间
    private List<String> freeContainerList;
    //应收款信息
    private List<TWarehousebillsfees> tWarehousebillsfeesDr;
    //应付款信息
    private List<TWarehousebillsfees> warehousebillsfeesCr;
    //费用状态
    private Long moneyStatus;
    //凯和订单ID
    private Long[] orderId;

    public Long getfCargoPlanning() {
        return fCargoPlanning;
    }

    public void setfCargoPlanning(Long fCargoPlanning) {
        this.fCargoPlanning = fCargoPlanning;
    }

    public String getfRemarksFees() {
        return fRemarksFees;
    }

    public void setfRemarksFees(String fRemarksFees) {
        this.fRemarksFees = fRemarksFees;
    }

    public Long[] getOrderId() {
        return orderId;
    }

    public void setOrderId(Long[] orderId) {
        this.orderId = orderId;
    }

    public Date getfPredictBranch() {
        return fPredictBranch;
    }

    public void setfPredictBranch(Date fPredictBranch) {
        this.fPredictBranch = fPredictBranch;
    }

    public String getfGrade() {
        return fGrade;
    }

    public void setfGrade(String fGrade) {
        this.fGrade = fGrade;
    }

    public String getfDeliveryDetails() {
        return fDeliveryDetails;
    }

    public void setfDeliveryDetails(String fDeliveryDetails) {
        this.fDeliveryDetails = fDeliveryDetails;
    }

    public Long getfSalesmanId() {
        return fSalesmanId;
    }

    public void setfSalesmanId(Long fSalesmanId) {
        this.fSalesmanId = fSalesmanId;
    }

    public Long getfItemstatus() {
        return fItemstatus;
    }

    public void setfItemstatus(Long fItemstatus) {
        this.fItemstatus = fItemstatus;
    }

    public BigDecimal getfWeighWeight() {
        return fWeighWeight;
    }

    public void setfWeighWeight(BigDecimal fWeighWeight) {
        this.fWeighWeight = fWeighWeight;
    }

    public Long getMoneyStatus() {
        return moneyStatus;
    }

    public void setMoneyStatus(Long moneyStatus) {
        this.moneyStatus = moneyStatus;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public List<TWarehousebillsfees> gettWarehousebillsfeesDr() {
        return tWarehousebillsfeesDr;
    }

    public void settWarehousebillsfeesDr(List<TWarehousebillsfees> tWarehousebillsfeesDr) {
        this.tWarehousebillsfeesDr = tWarehousebillsfeesDr;
    }

    public List<TWarehousebillsfees> getWarehousebillsfeesCr() {
        return warehousebillsfeesCr;
    }

    public void setWarehousebillsfeesCr(List<TWarehousebillsfees> warehousebillsfeesCr) {
        this.warehousebillsfeesCr = warehousebillsfeesCr;
    }

    public String getfCntval() {
        return fCntval;
    }

    public void setfCntval(String fCntval) {
        this.fCntval = fCntval;
    }

    public String getBoxNumber() {
        return boxNumber;
    }

    public void setBoxNumber(String boxNumber) {
        this.boxNumber = boxNumber;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getfCntrid() {
        return fCntrid;
    }

    public void setfCntrid(Long fCntrid) {
        this.fCntrid = fCntrid;
    }

    public Long getfCntrcount() {
        return fCntrcount;
    }

    public void setfCntrcount(Long fCntrcount) {
        this.fCntrcount = fCntrcount;
    }

    public TVoyage gettVoyageL() {
        return tVoyageL;
    }

    public void settVoyageL(TVoyage tVoyageL) {
        this.tVoyageL = tVoyageL;
    }

    public String getLoadportidName() {
        return loadportidName;
    }

    public void setLoadportidName(String loadportidName) {
        this.loadportidName = loadportidName;
    }

    public String getDestportidName() {
        return destportidName;
    }

    public void setDestportidName(String destportidName) {
        this.destportidName = destportidName;
    }

    public String getServiceitemsName() {
        return serviceitemsName;
    }

    public void setServiceitemsName(String serviceitemsName) {
        this.serviceitemsName = serviceitemsName;
    }

    public String getInvoceobjName() {
        return invoceobjName;
    }

    public void setInvoceobjName(String invoceobjName) {
        this.invoceobjName = invoceobjName;
    }

    public String getSignName() {
        return signName;
    }

    public void setSignName(String signName) {
        this.signName = signName;
    }

    public String getDetentioncargoName() {
        return detentioncargoName;
    }

    public void setDetentioncargoName(String detentioncargoName) {
        this.detentioncargoName = detentioncargoName;
    }

    public String getInsuranceName() {
        return insuranceName;
    }

    public void setInsuranceName(String insuranceName) {
        this.insuranceName = insuranceName;
    }

    public String getVslidName() {
        return vslidName;
    }

    public void setVslidName(String vslidName) {
        this.vslidName = vslidName;
    }

    public String getVoyidName() {
        return voyidName;
    }

    public void setVoyidName(String voyidName) {
        this.voyidName = voyidName;
    }

    public String getPaymodeName() {
        return paymodeName;
    }

    public void setPaymodeName(String paymodeName) {
        this.paymodeName = paymodeName;
    }

    public String getLaneidName() {
        return laneidName;
    }

    public void setLaneidName(String laneidName) {
        this.laneidName = laneidName;
    }

    public List<TWarehousebillsCntr> gettWarehousebillsCntrList() {
        return tWarehousebillsCntrList;
    }

    public void settWarehousebillsCntrList(List<TWarehousebillsCntr> tWarehousebillsCntrList) {
        this.tWarehousebillsCntrList = tWarehousebillsCntrList;
    }

    public List<TWarehousebillsCntritems> gettWarehousebillsCntritemsList() {
        return tWarehousebillsCntritemsList;
    }

    public void settWarehousebillsCntritemsList(List<TWarehousebillsCntritems> tWarehousebillsCntritemsList) {
        this.tWarehousebillsCntritemsList = tWarehousebillsCntritemsList;
    }

    public Long getfPaymode() {
        return fPaymode;
    }

    public void setfPaymode(Long fPaymode) {
        this.fPaymode = fPaymode;
    }

    public Long getfLaneid() {
        return fLaneid;
    }

    public void setfLaneid(Long fLaneid) {
        this.fLaneid = fLaneid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    /**
     * 查询时间区间
     */
    private List<String> timeInterval;

    public void settimeInterval(List<String> timeInterval) {
        this.timeInterval = timeInterval;
    }

    public List<String> gettimeInterval() {
        return timeInterval;
    }
    
    /**
     * 查询计费截止日期区间
     */
    private List<String> timeInterval2;

    public void settimeInterval2(List<String> timeInterval2) {
        this.timeInterval2 = timeInterval2;
    }

    public List<String> gettimeInterval2() {
        return timeInterval2;
    }

    /**
     * 查询货物
     */
    private Long fGoodsid;

    public void setfGoodsid(Long fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public Long getfGoodsid() {
        return fGoodsid;
    }

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 仓库
     */
    @Excel(name = "仓库")
    private Long fLocation;

    /**
     * 贸易方式(数据字典),对应t_trademodels
     */
    @Excel(name = "贸易方式(数据字典),对应t_trademodels ")
    private Long fNewTrademodeid;

    public Long getfLoadportid() {
        return fLoadportid;
    }

    public void setfLoadportid(Long fLoadportid) {
        this.fLoadportid = fLoadportid;
    }

    public Long getfDestportid() {
        return fDestportid;
    }

    public void setfDestportid(Long fDestportid) {
        this.fDestportid = fDestportid;
    }

    public String getfServiceitems() {
        return fServiceitems;
    }

    public void setfServiceitems(String fServiceitems) {
        this.fServiceitems = fServiceitems;
    }

    public String getfInvoceobj() {
        return fInvoceobj;
    }

    public void setfInvoceobj(String fInvoceobj) {
        this.fInvoceobj = fInvoceobj;
    }

    public Integer getfSign() {
        return fSign;
    }

    public void setfSign(Integer fSign) {
        this.fSign = fSign;
    }

    public Integer getfDetentioncargo() {
        return fDetentioncargo;
    }

    public void setfDetentioncargo(Integer fDetentioncargo) {
        this.fDetentioncargo = fDetentioncargo;
    }

    public String getfBooksmarks() {
        return fBooksmarks;
    }

    public void setfBooksmarks(String fBooksmarks) {
        this.fBooksmarks = fBooksmarks;
    }

    public String getfShippername() {
        return fShippername;
    }

    public void setfShippername(String fShippername) {
        this.fShippername = fShippername;
    }

    public String getfShipperattn() {
        return fShipperattn;
    }

    public void setfShipperattn(String fShipperattn) {
        this.fShipperattn = fShipperattn;
    }

    public String getfShippertel() {
        return fShippertel;
    }

    public void setfShippertel(String fShippertel) {
        this.fShippertel = fShippertel;
    }

    public String getfConsigneername() {
        return fConsigneername;
    }

    public void setfConsigneername(String fConsigneername) {
        this.fConsigneername = fConsigneername;
    }

    public String getfConsigneeattn() {
        return fConsigneeattn;
    }

    public void setfConsigneeattn(String fConsigneeattn) {
        this.fConsigneeattn = fConsigneeattn;
    }

    public String getfConsigneetel() {
        return fConsigneetel;
    }

    public void setfConsigneetel(String fConsigneetel) {
        this.fConsigneetel = fConsigneetel;
    }

    public String getfInsurance() {
        return fInsurance;
    }

    public void setfInsurance(String fInsurance) {
        this.fInsurance = fInsurance;
    }

    public Long getfInsuranceamt() {
        return fInsuranceamt;
    }

    public void setfInsuranceamt(Long fInsuranceamt) {
        this.fInsuranceamt = fInsuranceamt;
    }

    public Date getfClosedate() {
        return fClosedate;
    }

    public void setfClosedate(Date fClosedate) {
        this.fClosedate = fClosedate;
    }

    public Date getfDocmentdate() {
        return fDocmentdate;
    }

    public void setfDocmentdate(Date fDocmentdate) {
        this.fDocmentdate = fDocmentdate;
    }

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }

    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public Integer getfTypeid() {
        return fTypeid;
    }

    public void setfTypeid(Integer fTypeid) {
        this.fTypeid = fTypeid;
    }

    public Long getfNewTrademodeid() {
        return fNewTrademodeid;
    }

    public void setfNewTrademodeid(Long fNewTrademodeid) {
        this.fNewTrademodeid = fNewTrademodeid;
    }

    public Long getfLocation() {
        return fLocation;
    }

    public void setfLocation(Long fLocation) {
        this.fLocation = fLocation;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfCustomsdeclartion(String fCustomsdeclartion) {
        this.fCustomsdeclartion = fCustomsdeclartion;
    }

    public String getfCustomsdeclartion() {
        return fCustomsdeclartion;
    }

    public void setfOriginalbillno(String fOriginalbillno) {
        this.fOriginalbillno = fOriginalbillno;
    }

    public String getfOriginalbillno() {
        return fOriginalbillno;
    }

    public void setfDeptid(Long fDeptid) {
        this.fDeptid = fDeptid;
    }

    public Long getfDeptid() {
        return fDeptid;
    }

    public void setfBsdeptid(Long fBsdeptid) {
        this.fBsdeptid = fBsdeptid;
    }

    public Long getfBsdeptid() {
        return fBsdeptid;
    }

    public void setfContacts(String fContacts) {
        this.fContacts = fContacts;
    }

    public String getfContacts() {
        return fContacts;
    }

    public void setfTel(String fTel) {
        this.fTel = fTel;
    }

    public String getfTel() {
        return fTel;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfTocorpid(Long fTocorpid) {
        this.fTocorpid = fTocorpid;
    }

    public Long getfTocorpid() {
        return fTocorpid;
    }

    public void setfStltypeid(Long fStltypeid) {
        this.fStltypeid = fStltypeid;
    }

    public Long getfStltypeid() {
        return fStltypeid;
    }

    public void setfBscorpno(String fBscorpno) {
        this.fBscorpno = fBscorpno;
    }

    public String getfBscorpno() {
        return fBscorpno;
    }

    public void setfWarehouseid(Long fWarehouseid) {
        this.fWarehouseid = fWarehouseid;
    }

    public Long getfWarehouseid() {
        return fWarehouseid;
    }

    public void setfStorekeeper(String fStorekeeper) {
        this.fStorekeeper = fStorekeeper;
    }

    public String getfStorekeeper() {
        return fStorekeeper;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfPlanqty(Long fPlanqty) {
        this.fPlanqty = fPlanqty;
    }

    public Long getfPlanqty() {
        return fPlanqty;
    }

    public void setfPlangrossweight(BigDecimal fPlangrossweight) {
        this.fPlangrossweight = fPlangrossweight;
    }

    public BigDecimal getfPlangrossweight() {
        return fPlangrossweight;
    }

    public void setfPlannetweight(BigDecimal fPlannetweight) {
        this.fPlannetweight = fPlannetweight;
    }

    public BigDecimal getfPlannetweight() {
        return fPlannetweight;
    }

    public void setfPlanvolumn(BigDecimal fPlanvolumn) {
        this.fPlanvolumn = fPlanvolumn;
    }

    public BigDecimal getfPlanvolumn() {
        return fPlanvolumn;
    }

    public void setfQty(Long fQty) {
        this.fQty = fQty;
    }

    public Long getfQty() {
        return fQty;
    }

    public void setfGrossweight(BigDecimal fGrossweight) {
        this.fGrossweight = fGrossweight;
    }

    public BigDecimal getfGrossweight() {
        return fGrossweight;
    }

    public void setfNetweight(BigDecimal fNetweight) {
        this.fNetweight = fNetweight;
    }

    public BigDecimal getfNetweight() {
        return fNetweight;
    }

    public void setfVolumn(BigDecimal fVolumn) {
        this.fVolumn = fVolumn;
    }

    public BigDecimal getfVolumn() {
        return fVolumn;
    }

    public void setfTrademodeid(Long fTrademodeid) {
        this.fTrademodeid = fTrademodeid;
    }

    public Long getfTrademodeid() {
        return fTrademodeid;
    }

    public void setfBillingway(Long fBillingway) {
        this.fBillingway = fBillingway;
    }

    public Long getfBillingway() {
        return fBillingway;
    }

    public void setfSbu(Long fSbu) {
        this.fSbu = fSbu;
    }

    public Long getfSbu() {
        return fSbu;
    }

    public void setfFeetunit(String fFeetunit) {
        this.fFeetunit = fFeetunit;
    }

    public String getfFeetunit() {
        return fFeetunit;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfVslvoy(String fVslvoy) {
        this.fVslvoy = fVslvoy;
    }

    public String getfVslvoy() {
        return fVslvoy;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfEta(Date fEta) {
        this.fEta = fEta;
    }

    public Date getfEta() {
        return fEta;
    }

    public void setfCustomno(String fCustomno) {
        this.fCustomno = fCustomno;
    }

    public String getfCustomno() {
        return fCustomno;
    }

    public void setfIfweigh(String fIfweigh) {
        this.fIfweigh = fIfweigh;
    }

    public String getfIfweigh() {
        return fIfweigh;
    }

    public void setfIfpledge(String fIfpledge) {
        this.fIfpledge = fIfpledge;
    }

    public String getfIfpledge() {
        return fIfpledge;
    }

    public void setfIfdamage(String fIfdamage) {
        this.fIfdamage = fIfdamage;
    }

    public String getfIfdamage() {
        return fIfdamage;
    }

    public void setfBankcorpid(Long fBankcorpid) {
        this.fBankcorpid = fBankcorpid;
    }

    public Long getfBankcorpid() {
        return fBankcorpid;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public void setfChargedate(Date fChargedate) {
        this.fChargedate = fChargedate;
    }

    public Date getfChargedate() {
        return fChargedate;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBillstatus(Long fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public Long getfBillstatus() {
        return fBillstatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public Long getfItemsStatus() {
        return fItemsStatus;
    }

    public void setfItemsStatus(Long fItemsStatus) {
        this.fItemsStatus = fItemsStatus;
    }

    public Date getfReviewDate() {
        return fReviewDate;
    }

    public void setfReviewDate(Date fReviewDate) {
        this.fReviewDate = fReviewDate;
    }

    public Date getfBillingDeadline() {
        return fBillingDeadline;
    }

    public void setfBillingDeadline(Date fBillingDeadline) {
        this.fBillingDeadline = fBillingDeadline;
    }

    public String getfTruckno() {
        return fTruckno;
    }

    public void setfTruckno(String fTruckno) {
        this.fTruckno = fTruckno;
    }

    public String getfDriverName() {
        return fDriverName;
    }

    public void setfDriverName(String fDriverName) {
        this.fDriverName = fDriverName;
    }

    public String getfDriverTel() {
        return fDriverTel;
    }

    public void setfDriverTel(String fDriverTel) {
        this.fDriverTel = fDriverTel;
    }

    public String getfDriverIdCar() {
        return fDriverIdCar;
    }

    public void setfDriverIdCar(String fDriverIdCar) {
        this.fDriverIdCar = fDriverIdCar;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public Long getfFleet() {
        return fFleet;
    }

    public void setfFleet(Long fFleet) {
        this.fFleet = fFleet;
    }

    public Long getfLabour() {
        return fLabour;
    }

    public void setfLabour(Long fLabour) {
        this.fLabour = fLabour;
    }

    public Long getfInwarehouseid() {
        return fInwarehouseid;
    }

    public void setfInwarehouseid(Long fInwarehouseid) {
        this.fInwarehouseid = fInwarehouseid;
    }

    public Date getfBstime() {
        return fBstime;
    }

    public void setfBstime(Date fBstime) {
        this.fBstime = fBstime;
    }

    public Long getfCartype() {
        return fCartype;
    }

    public void setfCartype(Long fCartype) {
        this.fCartype = fCartype;
    }

    public Date getFreeContainerDate() {
        return freeContainerDate;
    }

    public void setFreeContainerDate(Date freeContainerDate) {
        this.freeContainerDate = freeContainerDate;
    }

    public List<String> getFreeContainerList() {
        return freeContainerList;
    }

    public void setFreeContainerList(List<String> freeContainerList) {
        this.freeContainerList = freeContainerList;
    }

    public Long getfBusinessAttribution() {
        return fBusinessAttribution;
    }

    public void setfBusinessAttribution(Long fBusinessAttribution) {
        this.fBusinessAttribution = fBusinessAttribution;
    }

    public Long getfSupervisionUnit() {
        return fSupervisionUnit;
    }

    public void setfSupervisionUnit(Long fSupervisionUnit) {
        this.fSupervisionUnit = fSupervisionUnit;
    }

    public String getfDeclarationElements() {
        return fDeclarationElements;
    }

    public void setfDeclarationElements(String fDeclarationElements) {
        this.fDeclarationElements = fDeclarationElements;
    }

    public String getfPartNumber() {
        return fPartNumber;
    }

    public void setfPartNumber(String fPartNumber) {
        this.fPartNumber = fPartNumber;
    }

    public Long getfIfinspection() {
        return fIfinspection;
    }

    public void setfIfinspection(Long fIfinspection) {
        this.fIfinspection = fIfinspection;
    }

    public BigDecimal getfValue() {
        return fValue;
    }

    public void setfValue(BigDecimal fValue) {
        this.fValue = fValue;
    }

    public Date getfWeighingDate() {
        return fWeighingDate;
    }

    public void setfWeighingDate(Date fWeighingDate) {
        this.fWeighingDate = fWeighingDate;
    }

    public Long getfIfsampling() {
        return fIfsampling;
    }

    public void setfIfsampling(Long fIfsampling) {
        this.fIfsampling = fIfsampling;
    }

    public Date getSendSampleDate() {
        return sendSampleDate;
    }

    public void setSendSampleDate(Date sendSampleDate) {
        this.sendSampleDate = sendSampleDate;
    }

    public Long getfIfweightRecovery() {
        return fIfweightRecovery;
    }

    public void setfIfweightRecovery(Long fIfweightRecovery) {
        this.fIfweightRecovery = fIfweightRecovery;
    }

    public Date getWeightRecoveryDate() {
        return weightRecoveryDate;
    }

    public void setWeightRecoveryDate(Date weightRecoveryDate) {
        this.weightRecoveryDate = weightRecoveryDate;
    }

    public Long getWarehouseStatus() {
        return warehouseStatus;
    }

    public void setWarehouseStatus(Long warehouseStatus) {
        this.warehouseStatus = warehouseStatus;
    }

    public Long getfTimes() {
        return fTimes;
    }

    public void setfTimes(Long fTimes) {
        this.fTimes = fTimes;
    }

    public String getfDateChanged() {
        return fDateChanged;
    }

    public void setfDateChanged(String fDateChanged) {
        this.fDateChanged = fDateChanged;
    }

    public String getfChargetype() {
        return fChargetype;
    }

    public void setfChargetype(String fChargetype) {
        this.fChargetype = fChargetype;
    }

    @Override
    public String toString() {
        return "TWarehouseBills{" +
                "fId=" + fId +
                ", fBillno='" + fBillno + '\'' +
                ", fCustomsdeclartion='" + fCustomsdeclartion + '\'' +
                ", fOriginalbillno='" + fOriginalbillno + '\'' +
                ", fChargedate=" + fChargedate +
                ", fDeptid=" + fDeptid +
                ", fBsdeptid=" + fBsdeptid +
                ", fContacts='" + fContacts + '\'' +
                ", fTel='" + fTel + '\'' +
                ", fCorpid=" + fCorpid +
                ", fTocorpid=" + fTocorpid +
                ", fStltypeid=" + fStltypeid +
                ", fBscorpno='" + fBscorpno + '\'' +
                ", fWarehouseid=" + fWarehouseid +
                ", fStorekeeper='" + fStorekeeper + '\'' +
                ", fBsdate=" + fBsdate +
                ", fPlanqty=" + fPlanqty +
                ", fPlangrossweight=" + fPlangrossweight +
                ", fPlannetweight=" + fPlannetweight +
                ", fPlanvolumn=" + fPlanvolumn +
                ", fQty=" + fQty +
                ", fGrossweight=" + fGrossweight +
                ", fNetweight=" + fNetweight +
                ", fVolumn=" + fVolumn +
                ", fTrademodeid=" + fTrademodeid +
                ", fBillingway=" + fBillingway +
                ", fSbu=" + fSbu +
                ", fFeetunit='" + fFeetunit + '\'' +
                ", fProductName='" + fProductName + '\'' +
                ", fMblno='" + fMblno + '\'' +
                ", fVslvoy='" + fVslvoy + '\'' +
                ", fMarks='" + fMarks + '\'' +
                ", fEta=" + fEta +
                ", fCustomno='" + fCustomno + '\'' +
                ", fIfweigh='" + fIfweigh + '\'' +
                ", fIfpledge='" + fIfpledge + '\'' +
                ", fIfdamage='" + fIfdamage + '\'' +
                ", fBankcorpid=" + fBankcorpid +
                ", fBilltype='" + fBilltype + '\'' +
                ", fBillstatus=" + fBillstatus +
                ", fItemsStatus=" + fItemsStatus +
                ", fReviewDate=" + fReviewDate +
                ", fBillingDeadline=" + fBillingDeadline +
                ", fTruckno='" + fTruckno + '\'' +
                ", fDriverName='" + fDriverName + '\'' +
                ", fDriverTel='" + fDriverTel + '\'' +
                ", fDriverIdCar='" + fDriverIdCar + '\'' +
                ", fBusinessType='" + fBusinessType + '\'' +
                ", fFleet=" + fFleet +
                ", fLabour=" + fLabour +
                ", fInwarehouseid=" + fInwarehouseid +
                ", fBstime=" + fBstime +
                ", fCartype=" + fCartype +
                ", type='" + type + '\'' +
                ", fLoadportid=" + fLoadportid +
                ", fDestportid=" + fDestportid +
                ", fServiceitems='" + fServiceitems + '\'' +
                ", fInvoceobj='" + fInvoceobj + '\'' +
                ", fSign=" + fSign +
                ", fDetentioncargo=" + fDetentioncargo +
                ", fBooksmarks='" + fBooksmarks + '\'' +
                ", fShippername='" + fShippername + '\'' +
                ", fShipperattn='" + fShipperattn + '\'' +
                ", fShippertel='" + fShippertel + '\'' +
                ", fConsigneername='" + fConsigneername + '\'' +
                ", fConsigneeattn='" + fConsigneeattn + '\'' +
                ", fConsigneetel='" + fConsigneetel + '\'' +
                ", fInsurance='" + fInsurance + '\'' +
                ", fInsuranceamt=" + fInsuranceamt +
                ", fClosedate=" + fClosedate +
                ", fDocmentdate=" + fDocmentdate +
                ", fVslid=" + fVslid +
                ", fVoyid=" + fVoyid +
                ", fTypeid=" + fTypeid +
                ", fPaymode=" + fPaymode +
                ", fLaneid=" + fLaneid +
                ", fCntval='" + fCntval + '\'' +
                ", freeContainerDate=" + freeContainerDate +
                ", fBusinessAttribution=" + fBusinessAttribution +
                ", fSupervisionUnit=" + fSupervisionUnit +
                ", fDeclarationElements=" + fDeclarationElements +
                ", fPartNumber='" + fPartNumber + '\'' +
                ", fIfinspection=" + fIfinspection +
                ", fValue=" + fValue +
                ", fWeighingDate=" + fWeighingDate +
                ", fIfsampling=" + fIfsampling +
                ", sendSampleDate=" + sendSampleDate +
                ", fIfweightRecovery=" + fIfweightRecovery +
                ", weightRecoveryDate=" + weightRecoveryDate +
                ", warehouseStatus=" + warehouseStatus +
                ", fTimes=" + fTimes +
                ", fDateChanged='" + fDateChanged + '\'' +
                ", loadportidName='" + loadportidName + '\'' +
                ", destportidName='" + destportidName + '\'' +
                ", serviceitemsName='" + serviceitemsName + '\'' +
                ", invoceobjName='" + invoceobjName + '\'' +
                ", signName='" + signName + '\'' +
                ", detentioncargoName='" + detentioncargoName + '\'' +
                ", insuranceName='" + insuranceName + '\'' +
                ", vslidName='" + vslidName + '\'' +
                ", voyidName='" + voyidName + '\'' +
                ", paymodeName='" + paymodeName + '\'' +
                ", laneidName='" + laneidName + '\'' +
                ", tWarehousebillsCntrList=" + tWarehousebillsCntrList +
                ", tWarehousebillsCntritemsList=" + tWarehousebillsCntritemsList +
                ", tVoyageL=" + tVoyageL +
                ", fCntrid=" + fCntrid +
                ", fCntrcount=" + fCntrcount +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", boxNumber='" + boxNumber + '\'' +
                ", corpName='" + corpName + '\'' +
                ", cLoadDate=" + cLoadDate +
                ", freeContainerList=" + freeContainerList +
                ", tWarehousebillsfeesDr=" + tWarehousebillsfeesDr +
                ", warehousebillsfeesCr=" + warehousebillsfeesCr +
                ", moneyStatus=" + moneyStatus +
                ", timeInterval=" + timeInterval +
                ", timeInterval2=" + timeInterval2 +
                ", fGoodsid=" + fGoodsid +
                ", delFlag='" + delFlag + '\'' +
                ", fLocation=" + fLocation +
                ", fNewTrademodeid=" + fNewTrademodeid +
                ", fWeighWeight=" + fWeighWeight +
                ", fPredictBranch='" + fPredictBranch + '\'' +
                ", fGrade=" + fGrade +
                ", fDeliveryDetails=" + fDeliveryDetails +
                ", fSalesmanId=" + fSalesmanId +
                ", fItemstatus=" + fItemstatus +
                ", fUpdeteStatus='" + fUpdeteStatus + '\'' +
                ", fSubmitUpdate=" + fSubmitUpdate +
                ", fDeleteStatus=" + fDeleteStatus +
                ", fRemarksFees=" + fRemarksFees +
                ", fCargoPlanning=" + fCargoPlanning +
                ", fArrivalStatus=" + fArrivalStatus +
                '}';
    }
}
